Linux安装PHP扩展包冲突

扩展包冲突

yum安装PHP-FPM扩展时报错

执行

# yum install php-fpm

报错信息:

Error: php70w-common conflicts with php-common-5.4.16-43.el7_4.1.x86_64

自己PHP的版本是7.0,网上查到linux系统的默认php版本是5.4,如果手动安装扩展,需要指定php的版本号

# yum install php70w-fpm    

控制台输出:

[root@iZbp109iqt20o2h63tpcuvZ dev]# yum install php70w-fpm
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* webtatic: uk.repo.webtatic.com
Resolving Dependencies
--> Running transaction check
---> Package php70w-fpm.x86_64 0:7.0.27-1.w7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================
Package                              Arch                            Version                                Repository                          Size
========================================================================================================================================================
Installing:
php70w-fpm                          x86_64                          7.0.27-1.w7                            webtatic                          1.5 M

Transaction Summary
========================================================================================================================================================
Install  1 Package

Total download size: 1.5 M
Installed size: 4.5 M
Is this ok [y/d/N]: y
Downloading packages:
php70w-fpm-7.0.27-1.w7.x86_64.rpm                                                                                                | 1.5 MB  00:00:03    
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : php70w-fpm-7.0.27-1.w7.x86_64                                                                                                        1/1 
  Verifying  : php70w-fpm-7.0.27-1.w7.x86_64                                                                                                        1/1 

Installed:
  php70w-fpm.x86_64 0:7.0.27-1.w7                                                                                                                      

Complete!
[root@iZbp109iqt20o2h63tpcuvZ dev]# 

感谢:

https://stackoverflow.com/questions/23919341/error-php55w-common-conflicts-with-php-common-on-centos-6-5

http://www.mamicode.com/info-detail-2129072.html

FPM操作命令

FPM相关进程查看和操作

ps axo pid,%cpu,%mem,comm |grep php-fpm

ps aux | grep php-fpm

pkill -9 php-fpm

/etc/init.d/php-fpm start

来源

http://blog.csdn.net/boolbo/article/details/51354528

记录工作,记录成长,您的支持将鼓励我继续创作!